<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table9', function (Blueprint $table) {
            $table->id('DatasetTable9Id');
            $table->integer('dataset_id');
            $table->string('lokasi')->nullable();
            $table->string('parameter')->nullable();
            $table->string('ambang_kritis')->nullable();
            $table->string('hasil_pengamatan')->nullable();
            $table->string('melebihi')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table9s');
    }
};
